GenAuth DocsDocuments
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Old version
Development Integration
  • API

  • SDK

    • Java

    • Node.js

    • Python

      • Installation and Usage
      • Authentication Module

        • Login

        • Logout

        • Register

        • User Profile

          • Get User Profile
          • Update User Profile
          • Bind Email
          • Unbind Email
          • Bind Phone
          • Unbind Phone
          • Get Password Strength and Account Security Score
          • Update Password
          • Initiate Email Update Verification Request
          • Update Email
          • Initiate Phone Update Verification Request
          • Update Phone
          • Initiate Reset Password Request
          • Reset Password
          • Initiate Account Deletion Request
          • Delete Account
        • Account Binding

        • MFA Factor Management

        • User Related Resources

        • Message Service

        • WeChat Related APIs

        • Others

        • OIDC Module
        • OAuth Module
        • SAML Module
        • CAS Module
        • Events
      • Management Module

  • Error Codes
  1. Development Integration
  2. /
  3. SDK
  4. /
  5. Python
  6. /
  7. Authentication Module

  8. /
  9. User Profile

  10. /
  11. Initiate Phone Update Verification Request

¶ Initiate a verification request to modify the mobile phone number

Update time: 2025-07-23 07:34:21
Edit

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on the https://api-explorer.genauth.ai V3 API, and is consistent with the API parameters and return results. If the document description is incorrect, please refer to the V3 API.

When the end user changes the mobile phone number on his own, he needs to provide the corresponding verification method. This interface is used to verify whether the user's request to change the mobile phone number is legal. Currently, verification is supported by SMS verification code. You need to call the SMS interface to send the corresponding SMS verification code first.

¶ Method name

AuthenticationClient.verify_update_phone_request

¶ Request parameters

NameType
Required
Default value
Description
Sample value
phonePassCodePayloadUpdatePhoneByPhonePassCodeDtoYes-Data verified using the phone number verification code method
verifyMethodstringYes-Modify the verification method for the phone number:
- PHONE_PASSCODE: Use the SMS verification code method for verification. Currently, only this method is supported.

¶ Request response

Type: VerifyUpdatePhoneRequestRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List (opens new window)
requestIdstringRequest ID. Returned when the request fails.
dataVerifyUpdatePhoneRequestDataResponse data

Sample result:

{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {}
}

¶ Data structure

¶ UpdatePhoneByPhonePassCodeDto

NameType
Required
Description
Sample value
newPhoneNumberstringYesNew phone number without area code. If it is a foreign phone number, specify the area code in the newPhoneCountryCode parameter.188xxxx8888
newPhonePassCodestringyesVerification code123456
newPhoneCountryCodestringnoMobile phone area code. This parameter is optional for mobile phone numbers in mainland China. The GenAuth SMS service does not yet support international mobile phone numbers. You need to configure the corresponding international SMS service in the GenAuth console. For a complete list of mobile phone area codes, please refer to https://en.wikipedia.org/wiki/List_of_country_calling_codes.+86
oldPhoneNumberstringnoOld mobile phone number without area code. If it is a foreign mobile phone number, please specify the area code in the oldPhoneCountryCode parameter. If the user pool has enabled the previous mobile phone number verification before changing the mobile phone number, this parameter is required.188xxxx8888
oldPhonePassCodestringNoVerification code of the old mobile phone number. If the user pool has enabled the change of mobile phone number, the previous mobile phone number needs to be verified. This parameter is required.123456
oldPhoneCountryCodestringNoMobile phone area code. This parameter is optional for mobile phone numbers in mainland China. The GenAuth SMS service does not currently support international mobile phone numbers. You need to configure the corresponding international SMS service in the GenAuth console. For a complete list of mobile phone area codes, please refer to https://en.wikipedia.org/wiki/List_of_country_calling_codes.+86

¶ VerifyUpdatePhoneRequestData

NameType
Required
Description
Sample value
updatePhoneTokenstringYesUsed to modify the current mobile phone number token. You need to use this token to request the Modify mobile phone number API.
tokenExpiresInnumberYesExpiration time, in seconds.
Previous article: Update Email Next article: Update Phone
  • Method name
  • Request parameters
  • Request response
  • Data structure

User identity management

Integrated third-party login
Customized authentication process

Enterprise internal management

Single sign-on
Multi-factor authentication
Permission management

Developer

Development Documentation
GitHub (opens new window)

Company

official@genauth.ai
16th Floor, Building B, Beichen Century Center, Chaoyang District, Beijing (Total)
Room 406, 4th Floor, Block B, No. 200, Tianfu Fifth Street, High-tech Zone, Chengdu (Branch)

© Beijing Steamory Technology Co., Ltd.